/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.dicomnetcommons;

/**
 * Represent C-MOVE Response status.
 */
public enum EnumCMoveStatus implements IStatus
{
	/** short value representing Pending status*/
	PENDING_SUBOPERATIONS_CONTINUING((short)0xFF00),

	/** short value representing Success status*/
	SUCCESS((short)0x0000),

	/** short value representing Warning status. One or more failure occurred.*/
	WARNING_SUBOPERATIONS_COMPLETED_ONE_OR_MORE_FAILURE((short)0xB000),

	/**short value representing Cancel status.*/
	CANCEL_SUBOPERATIONS_TERMINATED_CANCEL_INDICATION((short)0xFE00),

	/**short value representing Failure status. SOP class not supported in Association*/
	FAILURE_SOP_CLASS_NOT_SUPPORTED((short)0x0122),

	/**short value representing Failure status.*/
	FAILURE_IDENTIFIER_NOT_MATCH_SOP_CLASS((short)0xA900),

	/**short value representing Failure status.*/
	FAILURE_REFUSED_MOVE_DESTINATION_UNKNOWN((short)0xA801),

	/**short value representing Failure status.*/
	FAILURE_REFUSED_OUT_OF_RESOURCE_UNABLE_TO_PERFORM_SUBOPERATION((short)0xA702),
	
	/** Short value representing Processing Failure Status*/
	PROCESSING_FAILURE((short)0x0110),

	/**short value representing Failure status.*/
	FAILURE_REFUSED_OUT_OF_RESOURCE_UNABLE_TO_CALCULATE_NO_OF_MATCHES((short)0xA701),
	
	/** short value representing processing failure due to Parsing failed*/
	UNABLE_TO_PROCESS_PARSING_FAILED((short)0xC000);

	private short value;

	EnumCMoveStatus(short shValue)
	{
		value = shValue;
	}

	/**
	 * Returns the short value of this enum.
	 * @return - returns short value of C-MOVE Response Status.
	 */
	public short getValue()
	{
		return value;
	}
}
